<?php

namespace RecruitCrm\LogicMelon;

/**
 * Class which returns the class map definition
 * @package
 */
class ClassMap
{
    /**
     * Returns the mapping between the WSDL Structs and generated Structs' classes
     * This array is sent to the \SoapClient when calling the WS
     * @return string[]
     */
    final public static function get()
    {
        return array(
            'GetApplicationsPaged' => '\\RecruitCrm\\LogicMelon\\StructType\\GetApplicationsPaged',
            'GetApplicationsPagedResponse' => '\\RecruitCrm\\LogicMelon\\StructType\\GetApplicationsPagedResponse',
            'APIApplicationPaged' => '\\RecruitCrm\\LogicMelon\\StructType\\APIApplicationPaged',
            'ArrayOfAPIApplication' => '\\RecruitCrm\\LogicMelon\\ArrayType\\ArrayOfAPIApplication',
            'APIApplication' => '\\RecruitCrm\\LogicMelon\\StructType\\APIApplication',
            'APIApplicationAttachment' => '\\RecruitCrm\\LogicMelon\\StructType\\APIApplicationAttachment',
            'GetApplications' => '\\RecruitCrm\\LogicMelon\\StructType\\GetApplications',
            'GetApplicationsResponse' => '\\RecruitCrm\\LogicMelon\\StructType\\GetApplicationsResponse',
            'GetApplicationsWithFiltersPaged' => '\\RecruitCrm\\LogicMelon\\StructType\\GetApplicationsWithFiltersPaged',
            'ArrayOfString' => '\\RecruitCrm\\LogicMelon\\ArrayType\\ArrayOfString',
            'ArrayOfNameValueFilter' => '\\RecruitCrm\\LogicMelon\\ArrayType\\ArrayOfNameValueFilter',
            'NameValueFilter' => '\\RecruitCrm\\LogicMelon\\StructType\\NameValueFilter',
            'GetApplicationsWithFiltersPagedResponse' => '\\RecruitCrm\\LogicMelon\\StructType\\GetApplicationsWithFiltersPagedResponse',
            'GetApplicationsWithFilters' => '\\RecruitCrm\\LogicMelon\\StructType\\GetApplicationsWithFilters',
            'GetApplicationsWithFiltersResponse' => '\\RecruitCrm\\LogicMelon\\StructType\\GetApplicationsWithFiltersResponse',
            'GetAdvertPaged' => '\\RecruitCrm\\LogicMelon\\StructType\\GetAdvertPaged',
            'GetAdvertPagedResponse' => '\\RecruitCrm\\LogicMelon\\StructType\\GetAdvertPagedResponse',
            'APIAdvertPaged' => '\\RecruitCrm\\LogicMelon\\StructType\\APIAdvertPaged',
            'ArrayOfAPIAdvert' => '\\RecruitCrm\\LogicMelon\\ArrayType\\ArrayOfAPIAdvert',
            'APIAdvert' => '\\RecruitCrm\\LogicMelon\\StructType\\APIAdvert',
            'GetAdvert' => '\\RecruitCrm\\LogicMelon\\StructType\\GetAdvert',
            'GetAdvertResponse' => '\\RecruitCrm\\LogicMelon\\StructType\\GetAdvertResponse',
            'GetAdvertWithFiltersPaged' => '\\RecruitCrm\\LogicMelon\\StructType\\GetAdvertWithFiltersPaged',
            'GetAdvertWithFiltersPagedResponse' => '\\RecruitCrm\\LogicMelon\\StructType\\GetAdvertWithFiltersPagedResponse',
            'GetAdvertWithFilters' => '\\RecruitCrm\\LogicMelon\\StructType\\GetAdvertWithFilters',
            'GetAdvertWithFiltersResponse' => '\\RecruitCrm\\LogicMelon\\StructType\\GetAdvertWithFiltersResponse',
            'GetAdvertWithValues' => '\\RecruitCrm\\LogicMelon\\StructType\\GetAdvertWithValues',
            'GetAdvertWithValuesResponse' => '\\RecruitCrm\\LogicMelon\\StructType\\GetAdvertWithValuesResponse',
            'ArrayOfAPIAdvertWithValues' => '\\RecruitCrm\\LogicMelon\\ArrayType\\ArrayOfAPIAdvertWithValues',
            'APIAdvertWithValues' => '\\RecruitCrm\\LogicMelon\\StructType\\APIAdvertWithValues',
            'ArrayOfAPIAdvertValue' => '\\RecruitCrm\\LogicMelon\\ArrayType\\ArrayOfAPIAdvertValue',
            'APIAdvertValue' => '\\RecruitCrm\\LogicMelon\\StructType\\APIAdvertValue',
            'GetAdvertWithValuesPaged' => '\\RecruitCrm\\LogicMelon\\StructType\\GetAdvertWithValuesPaged',
            'GetAdvertWithValuesPagedResponse' => '\\RecruitCrm\\LogicMelon\\StructType\\GetAdvertWithValuesPagedResponse',
            'APIAdvertWithValuesPaged' => '\\RecruitCrm\\LogicMelon\\StructType\\APIAdvertWithValuesPaged',
            'GetAdvertWithValuesWithFilters' => '\\RecruitCrm\\LogicMelon\\StructType\\GetAdvertWithValuesWithFilters',
            'GetAdvertWithValuesWithFiltersResponse' => '\\RecruitCrm\\LogicMelon\\StructType\\GetAdvertWithValuesWithFiltersResponse',
            'GetAdvertWithValuesWithFiltersPaged' => '\\RecruitCrm\\LogicMelon\\StructType\\GetAdvertWithValuesWithFiltersPaged',
            'GetAdvertWithValuesWithFiltersPagedResponse' => '\\RecruitCrm\\LogicMelon\\StructType\\GetAdvertWithValuesWithFiltersPagedResponse',
            'GetLiveAdvertPostings' => '\\RecruitCrm\\LogicMelon\\StructType\\GetLiveAdvertPostings',
            'GetLiveAdvertPostingsResponse' => '\\RecruitCrm\\LogicMelon\\StructType\\GetLiveAdvertPostingsResponse',
            'ArrayOfAPILiveAdvertPosting' => '\\RecruitCrm\\LogicMelon\\ArrayType\\ArrayOfAPILiveAdvertPosting',
            'APILiveAdvertPosting' => '\\RecruitCrm\\LogicMelon\\StructType\\APILiveAdvertPosting',
            'GetLiveAdvertPostingsPaged' => '\\RecruitCrm\\LogicMelon\\StructType\\GetLiveAdvertPostingsPaged',
            'GetLiveAdvertPostingsPagedResponse' => '\\RecruitCrm\\LogicMelon\\StructType\\GetLiveAdvertPostingsPagedResponse',
            'APILiveAdvertPostingsPaged' => '\\RecruitCrm\\LogicMelon\\StructType\\APILiveAdvertPostingsPaged',
            'TrackAdvert' => '\\RecruitCrm\\LogicMelon\\StructType\\TrackAdvert',
            'TrackAdvertResponse' => '\\RecruitCrm\\LogicMelon\\StructType\\TrackAdvertResponse',
            'ArrayOfAPIAdvertWithPostings' => '\\RecruitCrm\\LogicMelon\\ArrayType\\ArrayOfAPIAdvertWithPostings',
            'APIAdvertWithPostings' => '\\RecruitCrm\\LogicMelon\\StructType\\APIAdvertWithPostings',
            'ArrayOfAPIPosting' => '\\RecruitCrm\\LogicMelon\\ArrayType\\ArrayOfAPIPosting',
            'APIPosting' => '\\RecruitCrm\\LogicMelon\\StructType\\APIPosting',
            'mpats_PostJob_TrackResult' => '\\RecruitCrm\\LogicMelon\\StructType\\Mpats_PostJob_TrackResult',
            'TrackAdvertWithFilters' => '\\RecruitCrm\\LogicMelon\\StructType\\TrackAdvertWithFilters',
            'TrackAdvertWithFiltersResponse' => '\\RecruitCrm\\LogicMelon\\StructType\\TrackAdvertWithFiltersResponse',
            'TrackAdvertWithFiltersPaged' => '\\RecruitCrm\\LogicMelon\\StructType\\TrackAdvertWithFiltersPaged',
            'TrackAdvertWithFiltersPagedResponse' => '\\RecruitCrm\\LogicMelon\\StructType\\TrackAdvertWithFiltersPagedResponse',
            'APIAdvertWithPostingsPaged' => '\\RecruitCrm\\LogicMelon\\StructType\\APIAdvertWithPostingsPaged',
            'CloseAdvert' => '\\RecruitCrm\\LogicMelon\\StructType\\CloseAdvert',
            'CloseAdvertResponse' => '\\RecruitCrm\\LogicMelon\\StructType\\CloseAdvertResponse',
            'CloseAdvertWithFilters' => '\\RecruitCrm\\LogicMelon\\StructType\\CloseAdvertWithFilters',
            'CloseAdvertWithFiltersResponse' => '\\RecruitCrm\\LogicMelon\\StructType\\CloseAdvertWithFiltersResponse',
            'ArchiveAdvert' => '\\RecruitCrm\\LogicMelon\\StructType\\ArchiveAdvert',
            'ArchiveAdvertResponse' => '\\RecruitCrm\\LogicMelon\\StructType\\ArchiveAdvertResponse',
            'ArchiveAdvertWithFilters' => '\\RecruitCrm\\LogicMelon\\StructType\\ArchiveAdvertWithFilters',
            'ArchiveAdvertWithFiltersResponse' => '\\RecruitCrm\\LogicMelon\\StructType\\ArchiveAdvertWithFiltersResponse',
            'UnarchiveAdvert' => '\\RecruitCrm\\LogicMelon\\StructType\\UnarchiveAdvert',
            'UnarchiveAdvertResponse' => '\\RecruitCrm\\LogicMelon\\StructType\\UnarchiveAdvertResponse',
            'UnarchiveAdvertWithFilters' => '\\RecruitCrm\\LogicMelon\\StructType\\UnarchiveAdvertWithFilters',
            'UnarchiveAdvertWithFiltersResponse' => '\\RecruitCrm\\LogicMelon\\StructType\\UnarchiveAdvertWithFiltersResponse',
            'AddAdvert' => '\\RecruitCrm\\LogicMelon\\StructType\\AddAdvert',
            'AddAdvertResponse' => '\\RecruitCrm\\LogicMelon\\StructType\\AddAdvertResponse',
            'AddAdvertResult' => '\\RecruitCrm\\LogicMelon\\StructType\\AddAdvertResult',
            'AddAdvertWithValues' => '\\RecruitCrm\\LogicMelon\\StructType\\AddAdvertWithValues',
            'ArrayOfNameValue' => '\\RecruitCrm\\LogicMelon\\ArrayType\\ArrayOfNameValue',
            'NameValue' => '\\RecruitCrm\\LogicMelon\\StructType\\NameValue',
            'AddAdvertWithValuesResponse' => '\\RecruitCrm\\LogicMelon\\StructType\\AddAdvertWithValuesResponse',
            'AddAdvertValues' => '\\RecruitCrm\\LogicMelon\\StructType\\AddAdvertValues',
            'AddAdvertValuesResponse' => '\\RecruitCrm\\LogicMelon\\StructType\\AddAdvertValuesResponse',
            'ValidateAdvertValues' => '\\RecruitCrm\\LogicMelon\\StructType\\ValidateAdvertValues',
            'ValidateAdvertValuesResponse' => '\\RecruitCrm\\LogicMelon\\StructType\\ValidateAdvertValuesResponse',
            'ValidateAdvertResult' => '\\RecruitCrm\\LogicMelon\\StructType\\ValidateAdvertResult',
            'ArrayOfInt' => '\\RecruitCrm\\LogicMelon\\ArrayType\\ArrayOfInt',
            'ArrayOfValidateFieldResult' => '\\RecruitCrm\\LogicMelon\\ArrayType\\ArrayOfValidateFieldResult',
            'ValidateFieldResult' => '\\RecruitCrm\\LogicMelon\\StructType\\ValidateFieldResult',
            'DeliverAdvert' => '\\RecruitCrm\\LogicMelon\\StructType\\DeliverAdvert',
            'DeliverAdvertResponse' => '\\RecruitCrm\\LogicMelon\\StructType\\DeliverAdvertResponse',
            'UserFeedsAndQuota' => '\\RecruitCrm\\LogicMelon\\StructType\\UserFeedsAndQuota',
            'UserFeedsAndQuotaResponse' => '\\RecruitCrm\\LogicMelon\\StructType\\UserFeedsAndQuotaResponse',
            'ArrayOfCPostFeed' => '\\RecruitCrm\\LogicMelon\\ArrayType\\ArrayOfCPostFeed',
            'CPostFeed' => '\\RecruitCrm\\LogicMelon\\StructType\\CPostFeed',
            'UserFeedsAndQuotaWithDestinations' => '\\RecruitCrm\\LogicMelon\\StructType\\UserFeedsAndQuotaWithDestinations',
            'UserFeedsAndQuotaWithDestinationsResponse' => '\\RecruitCrm\\LogicMelon\\StructType\\UserFeedsAndQuotaWithDestinationsResponse',
            'ExpressPostAdvert' => '\\RecruitCrm\\LogicMelon\\StructType\\ExpressPostAdvert',
            'ExpressPostAdvertResponse' => '\\RecruitCrm\\LogicMelon\\StructType\\ExpressPostAdvertResponse',
            'ExpressPostAdvertWithFilters' => '\\RecruitCrm\\LogicMelon\\StructType\\ExpressPostAdvertWithFilters',
            'ExpressPostAdvertWithFiltersResponse' => '\\RecruitCrm\\LogicMelon\\StructType\\ExpressPostAdvertWithFiltersResponse',
            'GetValues' => '\\RecruitCrm\\LogicMelon\\StructType\\GetValues',
            'GetValuesResponse' => '\\RecruitCrm\\LogicMelon\\StructType\\GetValuesResponse',
            'ArrayOfGetValue' => '\\RecruitCrm\\LogicMelon\\ArrayType\\ArrayOfGetValue',
            'GetValue' => '\\RecruitCrm\\LogicMelon\\StructType\\GetValue',
            'GetCurrency' => '\\RecruitCrm\\LogicMelon\\StructType\\GetCurrency',
            'GetCurrencyResponse' => '\\RecruitCrm\\LogicMelon\\StructType\\GetCurrencyResponse',
            'QueryLocations' => '\\RecruitCrm\\LogicMelon\\StructType\\QueryLocations',
            'QueryLocationsResponse' => '\\RecruitCrm\\LogicMelon\\StructType\\QueryLocationsResponse',
            'ArrayOfCQueryLocation' => '\\RecruitCrm\\LogicMelon\\ArrayType\\ArrayOfCQueryLocation',
            'CQueryLocation' => '\\RecruitCrm\\LogicMelon\\StructType\\CQueryLocation',
            'QueryJobTitle' => '\\RecruitCrm\\LogicMelon\\StructType\\QueryJobTitle',
            'QueryJobTitleResponse' => '\\RecruitCrm\\LogicMelon\\StructType\\QueryJobTitleResponse',
            'ArrayOfCQueryJobTitle' => '\\RecruitCrm\\LogicMelon\\ArrayType\\ArrayOfCQueryJobTitle',
            'CQueryJobTitle' => '\\RecruitCrm\\LogicMelon\\StructType\\CQueryJobTitle',
            'AddAdvertCandidate' => '\\RecruitCrm\\LogicMelon\\StructType\\AddAdvertCandidate',
            'AddAdvertCandidateResponse' => '\\RecruitCrm\\LogicMelon\\StructType\\AddAdvertCandidateResponse',
            'AddAdvertCandidateWithDocument' => '\\RecruitCrm\\LogicMelon\\StructType\\AddAdvertCandidateWithDocument',
            'AddAdvertCandidateWithDocumentResponse' => '\\RecruitCrm\\LogicMelon\\StructType\\AddAdvertCandidateWithDocumentResponse',
            'AddAdvertCandidateWithFilters' => '\\RecruitCrm\\LogicMelon\\StructType\\AddAdvertCandidateWithFilters',
            'AddAdvertCandidateWithFiltersResponse' => '\\RecruitCrm\\LogicMelon\\StructType\\AddAdvertCandidateWithFiltersResponse',
            'GetLoginURL' => '\\RecruitCrm\\LogicMelon\\StructType\\GetLoginURL',
            'GetLoginURLResponse' => '\\RecruitCrm\\LogicMelon\\StructType\\GetLoginURLResponse',
            'GetLoginURLResult' => '\\RecruitCrm\\LogicMelon\\StructType\\GetLoginURLResult',
            'CandidateTag' => '\\RecruitCrm\\LogicMelon\\StructType\\CandidateTag',
            'CandidateTagResponse' => '\\RecruitCrm\\LogicMelon\\StructType\\CandidateTagResponse',
            'CandidateTagResult' => '\\RecruitCrm\\LogicMelon\\StructType\\CandidateTagResult',
            'CandidateTagPeoplEd' => '\\RecruitCrm\\LogicMelon\\StructType\\CandidateTagPeoplEd',
            'CandidateTagPeoplEdResponse' => '\\RecruitCrm\\LogicMelon\\StructType\\CandidateTagPeoplEdResponse',
            'ApplicationScore' => '\\RecruitCrm\\LogicMelon\\StructType\\ApplicationScore',
            'ApplicationScoreResponse' => '\\RecruitCrm\\LogicMelon\\StructType\\ApplicationScoreResponse',
            'ApplicationScoreResult' => '\\RecruitCrm\\LogicMelon\\StructType\\ApplicationScoreResult',
            'ApplicationProgress' => '\\RecruitCrm\\LogicMelon\\StructType\\ApplicationProgress',
            'ApplicationProgressResponse' => '\\RecruitCrm\\LogicMelon\\StructType\\ApplicationProgressResponse',
            'ApplicationProgressResult' => '\\RecruitCrm\\LogicMelon\\StructType\\ApplicationProgressResult',
        );
    }
}
